http_chunked_decode
http_inflate
HTTP Functions
PHP Manual

# http_deflate

(PECL pecl_http >= 0.15.0)

http_deflate — Deflate data

### Description

string http_deflate ( string `$data` [, int `$flags` = 0 ] )

Compress data with gzip, zlib AKA deflate or raw deflate encoding.

See the deflate constants table for possible values for the flags parameter.

### Parameters

`data`

  String containing the data that should be encoded

`flags`

  deflate options

### Return Values

Returns the encoded string on success, or `NULL` on failure.

### See Also

- http_inflate() - Inflate data
- HttpDeflateStream

http_chunked_decode
http_inflate
HTTP Functions
PHP Manual